Pb validation site sous IE

Réduire
Ce sujet est fermé.
X
X
  • Filtrer
  • Heure
  • Afficher
Tout effacer
nouveaux messages

  • [RÉGLÉ] Pb validation site sous IE

    Bonjour à tous,

    Je viens de "presque" terminer mon modeste premier site sous JOOMLA 2.5, test sur serveur NAS QNAP, puis installation sous "000webhost"
    MOZILLA et OPERA, fonctionnement correct malgré une quelques lenteurs
    IE6 plante clairement ! via "netrenderer.com" ça n'a pas l'air mieux sous les autres versions.

    J'ai corrigé tout ce que j'ai pour être valide W3C
    mais rien n'y fait.

    Maintenant pour debug, j'ai viré tout ce qui pouvait gèner (message W3C) : JE Slide-Down Box Menu & JE - Camera jQuery Slideshow (jExtensions.com), Template theme9 for Template Creator CK.
    Et donc voici mon site légèrement fracassé : "sitermt.net78.net"

    Questions :
    Y a-t'il quelque chose à faire pour que ça marche en IE ?
    Pouvez vous m'indiquer des MENU et CAMERA plus "light" que ce que j'ai utilisé ?

    Toutes aide sera la bienvenue
    cordialement

  • #2
    Re : Pb validation site sous IE

    Je suis un fervent défenseur d'Internet Explorer (aie : pas taper !) mais là faut reconnaître que tester Joomla (je ne sais pas en quelle version, mais quand même) sous IE6 est un peu délirant.

    Joomla et les templates responsive des dernière versions, JQuery (également dans les dernières versions) font largement appel à HTML5 et CSS3. Donc IE en dessous de la version 9, il vaut mieux oublier.

    J'assure la maintenance de sites intranets professionnellement (sans Joomla) avec JQuery et du IE6, mais même avec des modules de compatibilité CSS3 et IE8 ou IE9, il y a beaucoup de choses qu'il faut éviter.

    Mon site internet actuel avec Joomla 3.1.5 fonctionne parfaitement bien (ou presque) avec FF23 et + Chrome et IE10 et +, j'admet que je n'essaie même pas de le tester avec des versions IE inférieures à la 9. Il y a un moment où il faut savoir dire STOP.
    Il y a 10 sortes de gens. Ceux qui savent compter en binaire et ceux qui ne savent pas ...

    Commentaire


    • #3
      Re : Pb validation site sous IE

      Envoyé par PieceOfCake Voir le message
      Je suis un fervent défenseur d'Internet Explorer (aie : pas taper !)
      Nooooooon ? Tu déconnes-là ? Dois-je te rayer de ma liste des "Gens compétents" :-D
      Même dans sa version 11, IE continue à accuser un retard en HTML5 / CSS3. C'est mieux que les autres versions, c'est sûr mais la "concurrence" fait déjà mieux depuis des années. IE est tellement à la traine et la pente est très savonneuse (http://www.w3schools.com/browsers/browsers_stats.asp).

      Ce clin d'oeil à part, pour en revenir à la question à la base de ce post : IE6 est mort et enterré par MS; il ne faut plus s'en soucier à moins que tu développes une application qui *doit* absolument fonctionner sur ce browser car tes clients l'exigent (compatibilité avec d'anciens softwares; vieux OS; ...). Si ton site s'adresse à tout le monde; oublie IE6.

      Ce browser plante souvent dès lors qu'on utilise du jQuery ou Mootools, il ne respecte pas (ou prou) CSS3 et HTML5. IE6 a fait son temps et est, forcément, largement dépassé aujourd'hui.

      Vu que nous sommes à l'époque de IE11; je crois que tu peux raisonnablement oublier IE6-7-8 sans problème. Au pire, affiche un petit bandeau "Nous détectons que votre navigateur est IE6-7-8, bla bla, nous vous recommandons bla-bla, ..." Il existe des plugins systèmes pour cela.

      Perso, à une époque, je l'ai installé et j'ai suggéré à mes visiteurs d'opter pour tout sauf IE tant j'étais en colère contre ce dernier.
      Christophe (cavo789)
      Développeur d'aeSecure; protection, optimisation et nettoyage (après hack) de sites web Apache https://www.aesecure.com/fr
      Développeur de marknotes, logiciel de gestion de prises de notes avec interface web et de multiples convertisseur https://github.com/cavo789/marknotes
      Mes logiciels OpenSource : https://www.avonture.be

      Commentaire


      • #4
        Re : Pb validation site sous IE

        Merci pour ces remarques.

        J'ai laissé tomber depuis longtemps WINDOWS pour un OS plus stable sous LINUX.
        Idem pour IE (vive FIREFOX) qui est pour moi le plus mauvais des navigateurs, les statistiques le montre (merci cavo789)
        C'est clair je suis parti de trop loin avec IE6 (mais c'est ce que j'avais sur une VM de Windows XP), cependant le marché du travail est lent et il reste pas mal de machine en XP avec IE8. Donc je vais essayer de re-tester avec ça.
        Il faut que j'obtienne un win7 ou plus pour aller plus loin.

        Quels sont les plugs les plus sympa pour tester le navigateur et informer l'utilisateur d'utiliser une autre version ?

        Salutations

        Commentaire


        • #5
          Re : Pb validation site sous IE

          Envoyé par rodolphe17 Voir le message
          cependant le marché du travail est lent et il reste pas mal de machine en XP avec IE8. Donc je vais essayer de re-tester avec ça.
          Oui, c'est pour cela que je mentionnais "as-tu l'obligation de ...". Si tu développes pour un client qui, pour mille et unes raisons reste en IE6; tu es coincé. Sinon, ...

          Envoyé par rodolphe17 Voir le message
          Quels sont les plugs les plus sympa pour tester le navigateur et informer l'utilisateur d'utiliser une autre version ?
          Va voir sur la JED : http://extensions.joomla.org/extensi...-web-standards

          Bye
          Christophe (cavo789)
          Développeur d'aeSecure; protection, optimisation et nettoyage (après hack) de sites web Apache https://www.aesecure.com/fr
          Développeur de marknotes, logiciel de gestion de prises de notes avec interface web et de multiples convertisseur https://github.com/cavo789/marknotes
          Mes logiciels OpenSource : https://www.avonture.be

          Commentaire


          • #6
            Re : Pb validation site sous IE

            Envoyé par cavo789 Voir le message
            Nooooooon ? Tu déconnes-là ? Dois-je te rayer de ma liste des "Gens compétents" :-D
            Là tu me fais trop d'honneur, sans blague tu as une liste des gens compétents (publie les noms !)

            Professionnellement j'ai beaucoup développé sur IE6, qui a été longtemps en avance sur tout le monde dans le domaine du développement d'applications internet et intranets (note que je ne parle pas de sites de présentation où, c'est vrai IE était à la traine), je n'essaierai pas de convaincre, mais pour avoir aussi beaucoup développé sur Firefox, je sais que IE (passé en mode strict) est très efficace dans le domaine de l'IHM et de la gestion de formulaires, que développer sous Visual Studio et débugger client et serveur dans une même passe est un confort inégalable pour un développeur ...

            Et pour en finir sur ce sujet, (ce n'est pas moi qui le dis, c'est Akeeba), Akeeba refuse de prendre en compte une réclamation ou un signalement de bug dès lors que vous avez un problème avec leur (remarquable par ailleurs) outil de sauvegarde, si vous utilisez Firefox comme support de navigation, ce n'est pas un hasard, si ?

            Mais je connais trop ta sensibilité concernant Internet Explorer et ne vais pas te titiller là dessus plus longtemps. Je crois quand même qu'il a été fort injustement décrié par des gens qui là comme ailleurs ne se donnait pas trop la peine de lire la documentation (un doctype correct aurait déjà réglé la plupart de leurs problèmes pourtant)

            Cordialement
            Il y a 10 sortes de gens. Ceux qui savent compter en binaire et ceux qui ne savent pas ...

            Commentaire


            • #7
              Re : Pb validation site sous IE

              Envoyé par PieceOfCake Voir le message
              Là tu me fais trop d'honneur, sans blague tu as une liste des gens compétents (publie les noms !)
              Houlalà... Tu as envie que j'ai des ennuis avec les lecteurs de Joomla.fr

              Envoyé par PieceOfCake Voir le message
              Et pour en finir sur ce sujet, (ce n'est pas moi qui le dis, c'est Akeeba), Akeeba refuse de prendre en compte une réclamation ou un signalement de bug dès lors que vous avez un problème avec leur (remarquable par ailleurs) outil de sauvegarde, si vous utilisez Firefox comme support de navigation, ce n'est pas un hasard, si ?
              Sérieux ? Faudra que je cherche cette info pour savoir pourquoi Nicholas écrit ça.

              Envoyé par PieceOfCake Voir le message
              Mais je connais trop ta sensibilité concernant Internet Explorer et ne vais pas te titiller là dessus plus longtemps. Je crois quand même qu'il a été fort injustement décrié par des gens qui là comme ailleurs ne se donnait pas trop la peine de lire la documentation (un doctype correct aurait déjà réglé la plupart de leurs problèmes pourtant)
              On est un peu hors sujet et j'aime bien taquiner IE; pour sûr, il a fait des progrès. Ce qui m'exaspère, c'est qu'il est à la traine dans bien des domaines et qu'il ne fait pas comme les autres. Suffit de voir les "hacks" que tu as besoin en CSS par exemple pour que ton super développement graphique que tu as mis des plombes à faire plante sous IE. Ma dernière prise de tête avec IE, c'était que ce vilain se limite volontairement à 32 fichiers css externes. Qu'est-ce que j'ai dû chercher pour trouver ce "bug" (que certains nommeront une limitation) ? Sur certaines pages de mon site, le css du template était perdu... aucune info dans la console de IE pour le dire (sa console était d'ailleurs inexistante sous IE6/7 si je ne me trompe pas).

              Aussi les bugs javascript dès lors que tu as du Mootools et JQuery car "telle fonction est undefined" sous IE.

              Pour un utilisateur lambda, les navigateurs se valent; pas pour les webdev. Au boulot, nous rencontrons plein de problèmes IE et, le gag, notre intranet est en SharePoint. Si nous utilisons IE 64 bits, certaines pages du site plantent. Si on passe sous FF/Chrome, cela fonctionne.

              Pour ne pas perdre Rodolphe : IE6 est largement dépassé; oublie-le. Et sur la JED, tu peux trouver des plugins qui te permettront de détecter le navigateur client et suggérer p.ex. d'utiliser au minimum IE8.
              Christophe (cavo789)
              Développeur d'aeSecure; protection, optimisation et nettoyage (après hack) de sites web Apache https://www.aesecure.com/fr
              Développeur de marknotes, logiciel de gestion de prises de notes avec interface web et de multiples convertisseur https://github.com/cavo789/marknotes
              Mes logiciels OpenSource : https://www.avonture.be

              Commentaire


              • #8
                Re : Pb validation site sous IE

                Continuons donc hors sujet ... un peu puisque tu insistes.

                Je ne conteste pas (note le bien) les avantages des autres navigateurs en ce qui concerne le design, le css et la présentation. Parfait, c'est vrai, en terme de développement pur, client ou serveur, les outils dans Internet Explorer, que ce soit en terme de XML (natif) de data-binding (natif) et des tas d'autres ont été et sont toujours très au dessus de la concurrence dans le développement applicatif (je parle bien d'applications accessibles via un navigateur) et j'y suis confronté tous les jours (plus qu'un an à tirer !!)

                En ce qui concerne Akeeba, cherche pas lis, c'est tiré de ça
                https://www.akeebabackup.com/documen...uirements.html
                et ça dit très exactement (entre autre) :
                As far as the browser is concerned, you can use:

                Internet Explorer 9, or greater (IE7 and IE6 are not supported, IE8 users may get random backup crashes on larger sites).

                Safari 4, or greater

                Opera 9, or greater. Experimental support due to lack of interest by users.

                Google Chrome 4 or greater. This is the best supported browser.

                Firefox is no longer officially supported, even though the component will most likely work on it. Ever since Firefox 4, the quality of this browser has constantly degraded. Severe bugs have routinely been present in supposedly stable releases. This increased bug reports as features which worked on any other browser would not work on Firefox. Given that these bugs were fixed 6 weeks later, in the next so-called stable release of Firefox, it was deemed futile to expend any energy into pursuing workaround on our part. As a result, we consider Firefox 4 and later a broken browser and we no longer support it. Do not file any bugs if you are using Firefox; we will decline to help you. If you want a decent browser please use Google Chrome, Safari or even Internet Explorer 9+.
                Il y a 10 sortes de gens. Ceux qui savent compter en binaire et ceux qui ne savent pas ...

                Commentaire


                • #9
                  Re : Pb validation site sous IE

                  Voilà, ça tourne avec IE8, pouvez vous me dire pour IE9,IE10,IE11 ? http://www.sitermt.net78.net/

                  Je ne voulais pas lancer de polémique, tout les produits ont leurs avantages (même IE)
                  Pour une utilisation de navigation "classique" je préfère FIREFOX
                  Je note juste que sur mon cas personnel, IE8 a nécessité du debug et pas les autres.
                  Il se peut aussi que la dernière version IE11 n'ait pas posé aucun problème. (je devance votre réflexion)

                  En tout cas, merci pour ces retours hyper rapide, c'est le 1er post que je mets. (et sûrement pas le dernier)

                  Je suis preneur de toutes remarques constructive sur mon site. (dois-je ouvrir un autre post ?)
                  Comment je ferme celui-là ?
                  Cd

                  Commentaire


                  • #10
                    Re : Pb validation site sous IE

                    Il n'y avait aucune polémique :-) Juste un échange d'idées.

                    Je n'ai pas creusé ton site mais les quelques pages que j'ai vues étaient OK sous IE11

                    Envoyé par rodolphe17 Voir le message
                    Je suis preneur de toutes remarques constructive sur mon site. (dois-je ouvrir un autre post ?)
                    Oui, il y a une section pour cela.

                    Pour le mode Réglé : http://forum.joomla.fr/announcement.php?f=39
                    Christophe (cavo789)
                    Développeur d'aeSecure; protection, optimisation et nettoyage (après hack) de sites web Apache https://www.aesecure.com/fr
                    Développeur de marknotes, logiciel de gestion de prises de notes avec interface web et de multiples convertisseur https://github.com/cavo789/marknotes
                    Mes logiciels OpenSource : https://www.avonture.be

                    Commentaire

                    Annonce

                    Réduire
                    1 sur 2 < >

                    C'est [Réglé] et on n'en parle plus ?

                    A quoi ça sert ?
                    La mention [Réglé] permet aux visiteurs d'identifier rapidement les messages qui ont trouvé une solution.

                    Merci donc d'utiliser cette fonctionnalité afin de faciliter la navigation et la recherche d'informations de tous sur le forum.

                    Si vous deviez oublier de porter cette mention, nous nous permettrons de le faire à votre place... mais seulement une fois
                    Comment ajouter la mention [Réglé] à votre discussion ?
                    1 - Aller sur votre discussion et éditer votre premier message :


                    2 - Cliquer sur la liste déroulante Préfixe.

                    3 - Choisir le préfixe [Réglé].


                    4 - Et voilà… votre discussion est désormais identifiée comme réglée.

                    2 sur 2 < >

                    Assistance au forum - Outil de publication d'infos de votre site

                    Compatibilité: PHP 4.1,PHP4, 5, 6DEV MySQL 3.2 - 5.5 MySQLi from 4.1 ( @ >=PHP 4.4.9)

                    Support Version de Joomla! : | J!3.0 | J!2.5.xx | J!1.7.xx | J!1.6.xx | J1.5.xx | J!1.0.xx |

                    Version française (FR) D'autres versions sont disponibles depuis la version originale de FPA

                    UTILISER À VOS PROPRES RISQUES :
                    L'exactitude et l'exhaustivité de ce script ainsi que la documentation ne sont pas garanties et aucune responsabilité ne sera acceptée pour tout dommage, questions ou confusion provoquée par l'utilisation de ce script.

                    Problèmes connus :
                    FPA n'est actuellement pas compatible avec des sites Joomla qui ont eu leur fichier configuration.php déplacé en dehors du répertoire public_html.

                    Installation :

                    1. Téléchargez l'archive souhaitée : http://afuj.github.io/FPA/

                    Archive zip : https://github.com/AFUJ/FPA/zipball/master

                    2. Décompressez le fichier de package téléchargé sur votre propre ordinateur (à l'aide de WinZip ou d'un outil de décompression natif).

                    3. Lisez le fichier LISEZMOI inclus pour toutes les notes de versions spécifiques.

                    4. LIRE le fichier de documentation inclus pour obtenir des instructions d'utilisation détaillées.

                    5. Téléchargez le script fpa-fr.php à la racine de votre site Joomla!. C'est l'endroit que vous avez installé Joomla et ce n'est pas la racine principale de votre serveur. Voir les exemples ci-dessous.

                    6. Exécutez le script via votre navigateur en tapant: http:// www. votresite .com/ fpa-fr.php
                    et remplacer www. votresite .com par votre nom de domaine


                    Exemples:
                    Joomla! est installé dans votre répertoire web et vous avez installé la version française du fichier FPA:
                    Télécharger le script fpa-fr.php dans: /public_html/
                    Pour executer le script: http://www..com/fpa-fr.php

                    Joomla! est installé dans un sous-répertoire nommé "cms" et vous avez installé la version française du fichier FPA:
                    Télécharger le script fpa-fr.php dans: /public_html/cms/
                    Pour executer le script: http://www..com/cms/fpa-fr.php

                    En raison de la nature très sensible de l'information affichée par le script FPA, il doit être retiré immédiatement du serveur après son utilisation.

                    Pour supprimer le script de votre site, utilisez le lien de script de suppression fourni en haut de la page du script. Si le lien de suppression échoue pour supprimer le script, utilisez votre programme FTP pour le supprimer manuellement ou changer le nom une fois que le script a généré les données du site et le message publié sur le forum. Si le script est toujours présent sur le site, il peut être utilisé pour recueillir suffisamment d'informations pour pirater votre site. Le retrait du script empêche des étrangers de l'utiliser pour jeter un oeil à la façon dont votre site est structuré et de détecter les défauts qui peuvent être utilisé à vos dépends.
                    Voir plus
                    Voir moins
                    Travaille ...
                    X